#include <SDL.h>
#include "def.h"
#include "log.h"
#include "joystick.h"

static SDL_Joystick* joystick;

int joystick_init(void) {
  int indjoystick, numjoysticks, i;
  indjoystick = 1;

  // Init the SDL subsys.
  SDL_InitSubSystem(SDL_INIT_JOYSTICK);

  // Figure out how many joysticks there are.
  numjoysticks = SDL_NumJoysticks();
  LOG("%d joysticks detected", numjoysticks);
  for(i = 0; i < numjoysticks; i++)
    LOG("\t\t%d. %s", i, SDL_JoystickName(i));

  // Start using that bitch.
  LOG("Using joystick %d", indjoystick);
  joystick = SDL_JoystickOpen(indjoystick);

  return 0;
}

